Name:           obby
Version:        0.4.1
Release:        1%{?dist}
Summary:        A library which provides synced document buffers

Group:          Development/Libraries
License:        GPL
URL:            http://releases.0x539.de/obby
Source0:        http://releases.0x539.de/obby/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  net6-devel, gmp-devel, gettext-devel

%description
libobby is a library which provides synced document buffers. It supports
multiple documents in one session and is portable to both Windows and
Unix-like platforms.


%package devel
Summary:        Development libraries for obby
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig, net6-devel, gmp-devel

%description devel
libobby is a library which provides synced document buffers. This package
contains the header files and library required to link against libobby.


%prep
%setup -q


%build
%configure --disable-static --enable-ipv6
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm $RPM_BUILD_ROOT%{_libdir}/*.la

%find_lang %name

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README NEWS COPYING TODO AUTHORS
%{_libdir}/*.so.*

%files devel
%{_includedir}/obby
%{_libdir}/pkgconfig/*
%{_libdir}/*.so


%changelog
* Thu Aug 31 2006 Luke Macken <lmacken@redhat.com> - 0.4.1-1
- 0.4.1
- Enable IPv6 support

* Wed Feb 15 2006 Luke Macken <lmacken@redhat.com> - 0.3.0-3
- Rebuild for FE5

* Tue Jan 10 2006 Luke Macken <lmacken@redhat.com> - 0.3.0-2
- Remove libsigc++ from BuildRequires

* Thu Dec 22 2005 Luke Macken <lmacken@redhat.com> - 0.3.0-1
- 0.3.0

* Sat Nov 26 2005 Luke Macken <lmacken@redhat.com> - 0.3.0-1.rc3
- Remove calls to aclocal and autoconf
- Bump to 0.3.0rc3

* Wed Nov 16 2005 Luke Macken <lmacken@redhat.com> - 0.3.0-1.rc1
- Bump to 0.3.0rc1
- Remove howl support

* Mon Nov 14 2005 Luke Macken <lmacken@redhat.com> - 0.2.0-8
- Rebuild

* Mon Nov 14 2005 Luke Macken <lmacken@redhat.com> - 0.2.0-7
- Rebuild

* Fri Oct 21 2005 Luke Macken <lmacken@redhat.com> - 0.2.0-6
- Fix dependency issue with howl-devel

* Fri Oct 07 2005 Luke Macken <lmacken@redhat.com> - 0.2.0-5
- Add howl support

* Thu Oct 06 2005 Luke Macken <lmacken@redhat.com> - 0.2.0-4
- Add gettext-devel to BuildRequires, and call aclocal and autoconf before
  configure to fix build error

* Wed Oct 05 2005 Luke Macken <lmacken@redhat.com> - 0.2.0-3
- Remove libsigc++20-devel from Requires
- Add net6-devel and gmp-devel to Requires for devel subpackage

* Fri Sep 30 2005 Luke Macken <lmacken@redhat.com> - 0.2.0-2
- Add pkg-config to Requires for -devel
- Use find_lang macro

* Thu Sep 29 2005 Luke Macken <lmacken@redhat.com> - 0.2.0-1
- Packaged for Fedora Extras
